Bug 1273994 - [REGRESSION] sqlite FTBFS during stage2 bootstrap - The 3.9 update requires tcl, that isn't available in stage2
[REGRESSION] sqlite FTBFS during stage2 bootstrap - The 3.9 update requires t...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sqlite (Show other bugs)
22
All Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Jan Staněk
Fedora Extras Quality Assurance
: Regression, Reopened
Depends On:
Blocks: fedora-bootstrap
  Show dependency treegraph
 
Reported: 2015-10-21 12:47 EDT by Jaromír Cápík
Modified: 2016-01-31 21:02 EST (History)
4 users (show)

See Also:
Fixed In Version: sqlite-3.9.2-1.fc23 sqlite-3.9.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-24 19:24:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sqlite.log (56.25 KB, text/plain)
2015-10-21 12:47 EDT, Jaromír Cápík
no flags Details

  None (edit)
Description Jaromír Cápík 2015-10-21 12:47:41 EDT
Created attachment 1085234 [details]
sqlite.log

Description of problem:
The 3.8->3.9 update introduced changes in the dependencies that haven't been propagated to the stage2 recipe yet and thus the stage2 fails on sqlite. The attached build log shows a failure due to a missing tclsh.
Comment 1 Jaromír Cápík 2015-10-21 12:57:29 EDT
I checked the stage2 recipe and we build sqlite with --disable-tcl. That means there's probably a bug in the 3.9 buildsystem that hardcodes the tcl call regardless of the switch.
Comment 2 Jan Staněk 2015-10-22 06:02:15 EDT
The --disable-tcl switch only turns off building the TCL extension of sqlite.

However, it seems that from this patch[1] forward (which includes 3.9.0), the tclsh is used intead of AWK for processing the source files before build. More context of this change can be found in [2].

I'm not sure about proper course of action. The simplest solution seems to be adding a tclsh dependency to stage2 -- is it viable, or should I look for another solution?

[1] https://www.sqlite.org/cgi/src/info/5b6775215327a892
[2] https://www.sqlite.org/cgi/src/timeline?r=omit-awk&nd&c=2015-10-07+02%3A52%3A09&n=200
Comment 3 Jaromír Cápík 2015-10-22 09:00:39 EDT
> I'm not sure about proper course of action. The simplest solution seems to
> be adding a tclsh dependency to stage2 -- is it viable, or should I look for
> another solution?

That is exactly the opposite direction we wanna go. We need to strip unnecessary components. Especially in the first bootstrap stages as that produces dependency loops and huge trees of deps that cannot be satisfied.
Comment 4 Fedora End Of Life 2015-11-04 05:04:04 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-12-02 10:44:19 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Jaromír Cápík 2015-12-10 04:48:56 EST
Ahoj Honzo.

The srpm with amalgamation sources is usable and I'd be happy if you could port the change to all currently supported fedora releases.

Thanks in advance.
Comment 7 Fedora Update System 2015-12-10 08:18:13 EST
sqlite-3.9.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-adfda22f51
Comment 8 Fedora Update System 2015-12-10 08:18:13 EST
sqlite-3.9.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1c93bbd1a7
Comment 9 Fedora Update System 2015-12-11 01:01:45 EST
sqlite-3.9.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sqlite'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-adfda22f51
Comment 10 Fedora Update System 2015-12-11 14:57:55 EST
sqlite-3.9.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sqlite'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1c93bbd1a7
Comment 11 Fedora Update System 2015-12-21 10:14:05 EST
sqlite-3.9.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c48d0abc71
Comment 12 Fedora Update System 2015-12-22 10:33:34 EST
sqlite-3.9.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c48d0abc71
Comment 13 Fedora Update System 2015-12-22 19:10:53 EST
sqlite-3.9.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-96bc36aa45
Comment 14 Fedora Update System 2015-12-24 19:24:39 EST
sqlite-3.9.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-01-04 14:51:34 EST
sqlite-3.9.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.